---

- name: Enable haProxy service
  service:
    name: haproxy
    state: started

- name: Creating Directory
  file:
    path: ~/haproxy
    state: directory

- name: creating config file
  template:
    src: config.j2
    dest: "~/haproxy/{{ Config }}.cfg"
    validate: '{{ haproxy_binary_Debian }} -c -V -f  %s'
    backup: '{{ haproxy_backup_config }}'

  notify: restart haProxy

